### Constructor

# FwupdPlugin EfiHardDriveDevicePath new

#### Declaration [src]

    FuEfiHardDriveDevicePath*
    fu_efi_hard_drive_device_path_new (
      void
    )

#### Description [src]

Creates a new EFI `DEVICE_PATH`.

Available since: | 1.9.3

#### Return value

Returns: | `FuEfiHardDriveDevicePath`
| A `FuEfiHardDriveDevicePath`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.